Skip to main content
POST
/
v1
/
simulate
/
instant_payments
/
{instant_payment_id}
/
incoming_return
Simulate Incoming Instant Payment Return
curl --request POST \
  --url https://api.sandbox.lead.bank/v1/simulate/instant_payments/{instant_payment_id}/incoming_return \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "amount": 5000,
  "currency_code": "USD",
  "reason": "duplicate",
  "additional_information": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Idempotency key

Maximum string length: 255

Path Parameters

instant_payment_id
string
required

ID of the instant payment object you want to return.

Pattern: ^instant_payment_\w+$

Body

application/json
amount
integer<int64>
required

The amount of the return in cents. Must be less than or equal to the original transaction amount.

Required range: x >= 0
Example:

5000

currency_code
enum<string>
required

A three-letter currency code as defined in ISO 4217. Only USD is supported.

Available options:
USD
Example:

"USD"

reason
enum<string>
required

The reason for the return.

Available options:
following_return_request,
wrong_amount,
duplicate,
unknown_sender,
fraudulent,
not_justified,
narrative,
other
Example:

"duplicate"

additional_information
string

Accompanying free text explanation for the reason.

Response

Incoming instant payment return object created.

The response is of type object.